org.apache.velocity.tools.generic

## Class DisplayTool.Measurements

- java.lang.Object
- - org.apache.velocity.tools.generic.DisplayTool.Measurements

Enclosing class:
  DisplayTool

    public static class DisplayTool.Measurements
    extends Object

Measures the dimensions of the string given to its constructor. Height is the number of lines in the string. Width is the number of characters in the longest line.

### Constructor Summary

Constructors
Constructor and Description
`Measurements(String s)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()`
`int` `getWidth()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Measurements

    public Measurements(String s)

### Method Detail

#### getHeight

    public int getHeight()

#### getWidth

    public int getWidth()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`